#ifndef FLATEMBROIDERY_H
#define FLATEMBROIDERY_H

#include "mctype/machinetypefun.h"

//绣花机
class FlatEmbroidery : public MachineTypeFun
{
    Q_OBJECT
public:
    FlatEmbroidery();
    ~FlatEmbroidery();

private:
    void initSpindleTestParasList();//主轴研车(试机)参数
    void initRootParasList();//超级用户参数(包括机器参数、工作参数和遍历设置)
    void initRootTraverseSetParasList();//超级用户遍历设置参数
    void initLockTestParasList();//锁头测试参数
    void initColorPatternPatchParasList();//花样按色贴布绣参数
    void initNeedlePatternPatchParasList();//花样按针贴布绣参数
    void initPatternsParasList();//花样参数
    void initPatternOutlineParasList();//花样轮廓参数
    void initMcParasList();//主控机器参数
    void initWkParasList();//主控工作参数
    void addBeadMcParas();//增加散珠机器参数
    void addBeadWkParas();//增加散珠工作参数
    void addSequinMcParas();//增加亮片机器参数
    void addSequinWkParas();//增加亮片工作参数
    void addTowelMcParas();//增加毛巾机器参数
    void addTowelWkParas();//增加毛巾工作参数
    //void addIndeFootWkParas();//增加独立压脚工作参数
    void addCoilMcParas();//增加缠绕机器参数
    void addCoilWkParas();//增加缠绕工作参数
    void addFeedMcParas();//增加上下料机构机器参数
    void addFeedWkParas();//增加上下料机构工作参数
    void addLaserMcParas();//增加激光机器参数
    void addShuttleChangeMcParas();//增加自动换梭机器参数
    void initHeadParasList();//平绣机头板参数
    void initTowelHeadParasList();//毛巾机头板参数  -rq
    void initTowelColorParasList();//毛巾换色板板参数  -rq
    void initTowelDebugParasList();//毛巾调试参数   -rq
    void addSequinHeadParasList();//增加亮片机头板参数
    void addIndeFootHeadParasList();//增加独立压脚机头板参数
    void initEXBUpgradeParaList();//外围板升级参数
    void initCoilHeadParasList();//缠绕机头板参数  -rq

private:
    void initOutCtrlList();//控制动作
    void initShortCutList();//快捷动作
    void initAssistList();//辅助功能
    void initPatternSetList();//花样设置
    void initParaSetList();//参数设置
    void initEmbFunctionList();//刺绣功能

private:
    void initSensorList();//初始化传感器列表
    void initErrorCodeAndStateList();//初始化错误代码和状态列表
};

#endif // FLATEMBROIDERY_H
